#587 Self created modules dissapear after making a refence singel field ...

3.12.2
closed
None
2
2013-10-19
2013-09-02
Eric
No

i have some problems with self created modules. after linking them to each other some modules are no longer available in the other module type , when i want them to link to another module.
in the option "delete" and "change" a module they still are visible.
i can ad and change anything i want, but they're not available to use them.

for exammple ..

i made a module "verkoop", with 2 Fields. "Soort"( as single txt line) and "Afbeelding" as "Icon"

in a other self created module i use the field "Soort verkoper" and refer with the option "reference Field dropdown" to this module " verkoop"
Others said , i want in de field "soort verkoper" make a selection of items i filled in the module "soort verkoper"

i made all the modules, but with no data already....

when i make a module with many references to other Modules... then after restart most of this modules are no longer available. they are present in the option change and delete... but much more i can't do with it ...

many hours of work .. gone.

what did i

new installation of the java
new installation of datacrow

but nothing helped...
event log :
05:49:45 - Memory usage (max 3638 MB) (used 589 MB) (available 3049 MB)

05:41:45 - Memory usage (max 3638 MB) (used 607 MB) (available 3031 MB)

05:33:45 - Memory usage (max 3638 MB) (used 619 MB) (available 3019 MB)

05:25:41 - Modules zijn geladen

05:25:40 - Het systeem wordt opgestart

system information :

Data Crow version
3.12.2
Data Crow system file
C:\Users\eric\datacrow.properties
Installation folder
C:/Program Files/DataCrow/
User folder
C:\Users\eric\datacrow/
Database:
dc
Database Driver:
org.hsqldb.jdbcDriver
Memory maximum
3638MB
Memory available
3049MB
Memory used
589MB
Java version
1.7.0_07
Operating system
Windows 7

what can i do ?

1 Attachments

Discussion

  • Eric
    Eric
    2013-09-02

    can anyone help me in this issue ?

     
    Last edit: Eric 2013-09-02
  • When you link a module it is no longer a "main module". Only main modules are shown in the module bar (it would become quite full otherwise). Your other modules are now sub modules of your main module "Pijpen Collectie".

    I have added a screenshot of where your other modules can be found.

    Hope this helps,
    Robert

     
    Attachments
    • status: open --> pending
     
  • Eric
    Eric
    2013-09-08

    Hi There !

    Tnx for this Answer, id didn't find it and was suprised .. haha.
    But it is not exactly what i meant. I think it was my lac of Explenation.

    after spending some days and quit a few hours of understanding the working of databases( modules) i think i can better explain my problem again.

    i have one main module, Pijp collectie, and within this main modules are several other sub modules. and within these sub modules are again some sub sub modules.

    so i have made a property module "categorieen websites" for "online shop, ebay, marktplaats"
    and i made a Other module named "websites" , within this websites module and i can select in the Property module "categorieen websites" the categorie of website.

    my problem is , as soon as i select in the Main module Pijp collectie this Other made Module "websites" it is gone out of the list " "reference Field single select.

    otherwhise said .... a Property module can i select as many times i want in other modules... but every "other module" is only once selectable, then it is gone...
    and i use many of these Multiple modules within a other module...

    so now i am trying to make of all my sub modules a property module , and i can select it within all the other Main modules...

    hopes this makes more clear my problem...

     
    • status: pending --> closed